1. Share Links
Discohook
  • Discohook API
  • Reference
  • Discohook CDN
  • Using Discohook as an external message designer or previewer
  • Changelog
  • Share Links
    • Create Share Link
      POST
    • Get Share Link
      GET
  • Link Preview
    • Unfurl URL Embed
      GET
  • GitHub
    • Execute GitHub-Compatible Webhook in Forum Channel
      POST
    • Delete Records of Past GitHub-Compatible Webhook Execution Posts
      DELETE
  • Schemas
    • Query Data
      • Targets
        • TargetType
        • TargetWebhook
        • TargetBot
        • TargetFluxerWebhook
        • QueryDataTarget
      • QueryDataMessage
      • QueryDataVersion
      • QueryData
    • Discord
      • Components
        • APIButtonComponentBase
        • ComponentType
        • APIBaseComponent
        • APIMessageComponentEmoji
        • ButtonStyle
        • APIButtonComponentWithURL
        • APIButtonComponentWithCustomId
        • APIButtonComponent
        • APIMessageActionRowComponent
        • APIBaseSelectMenuComponent
        • APISelectMenuOption
        • APIStringSelectComponent
        • APIBaseAutoPopulatedSelectMenuComponent
      • APIEmbed
      • EmbedType
  1. Share Links

Get Share Link

GET
https://discohook.app/api/v1/share/{id}
Get message data for a share ID. Keep in mind that share IDs may be reused after they have expired.

Request

Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://discohook.app/api/v1/share/?with_new_targets'

Responses

🟢200Success
application/json
Body

Example
{
    "data": {
        "version": "d2",
        "backup_id": "string",
        "messages": [
            {
                "_id": "string",
                "data": {
                    "username": "string",
                    "avatar_url": "string",
                    "author": {
                        "name": "string",
                        "icon_url": "string",
                        "badge": "string"
                    },
                    "content": "string",
                    "embeds": [
                        {
                            "title": "string",
                            "description": "string",
                            "color": 0,
                            "author": {
                                "name": "string",
                                "url": "string",
                                "icon_url": "string"
                            },
                            "fields": [
                                {
                                    "name": "string",
                                    "value": "string",
                                    "inline": true
                                }
                            ],
                            "footer": {
                                "text": "string",
                                "icon_url": "string"
                            },
                            "timestamp": "2019-08-24T14:15:22.123Z",
                            "image": {
                                "url": "string"
                            },
                            "thumbnail": {
                                "url": "string"
                            },
                            "provider": {
                                "name": "string",
                                "url": "string"
                            }
                        }
                    ],
                    "attachments": [
                        "string"
                    ],
                    "webhook_id": "string",
                    "components": [
                        {
                            "type": 1,
                            "components": [
                                {
                                    "type": 2,
                                    "label": "string",
                                    "emoji": {
                                        "id": "string",
                                        "name": "string",
                                        "animated": true
                                    },
                                    "disabled": true,
                                    "style": "1",
                                    "custom_id": "string"
                                }
                            ]
                        }
                    ],
                    "flags": 0
                },
                "reference": "string"
            }
        ],
        "targets": [
            {
                "type": 1,
                "url": "https://discord.com/api/webhooks/1234567890123456789/abcdef1234567ghijklmnop"
            }
        ]
    },
    "expires": "2019-08-24T14:15:22.123Z"
}
🟠404Record Not Found
Modified at 2026-04-16 14:16:14
Previous
Create Share Link
Next
Unfurl URL Embed
Built with